<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\KursUebersichtAndererVeranstalter\KursDetails;

class KursDetailsExternController extends KursDetailsController
{
  private $id;
  private $statusMessageContainer;
  
  public function __construct($pId, $pStatusMessageContainer)
  {
    
    
    $this->id = $pId; 
    $this->statusMessageContainer = $pStatusMessageContainer;
  }
    
  
  
  protected function getRequestObj()
  {
    $request = $this->getRequestObjCommonPart();
    
    $request->statusMessageContainer = $this->statusMessageContainer;
    return $request;
  }
}